Name:          jdbm
Version:       1.0
Release:       %mkrel 1
Summary:       Transactional Persistence Engine
Group:         Development/Java
License:       BSD
Url:           http://jdbm.sourceforge.net/
Source0:       http://prdownloads.sourceforge.net/jdbm/jdbm-1.0-src.zip
Source1:       http://repo1.maven.org/maven2/jdbm/jdbm/1.0/jdbm-1.0.pom
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
JDBM is a transactional persistence engine for Java.
It aims to be for Java what GDBM is for Perl, Python, C,
etcetera: a simple persistence engine that is lightweight
and fast.

%package examples
Summary:       Examples for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description examples
This package contains examples for %{name}.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jdbm-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

cat > VERSION <<EOF
version=%{version}
EOF

%build

ant -f src/build.xml main examples tests jar javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr src/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples
cp -pr build/examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/examples

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files examples
%{_datadir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Nov 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 164011
- imported package jdbm

